PGT Time Now
PGT is the abbreviation of Papua New Guinea Time. Time zone offset of PGT is UTC+10. Papua New Guinea Time is 10 hours ahead from the UTC universal time. PGT current date is 5th Thursday November 2026. Current time in PGT (PGT).
PGT Time
10:08:04
5 November 2026 Thursday
PGT is the abbreviation for time standard known as Papua New Guinea Time. It has been effective in Papua New Guinea since the end of the last century, and it is exactly the same time standard as the one used in Eastern Australia, some parts of Russia and some islands in Eastern Asia. Papua New Guinea Time is 10 hours ahead from the UTC universal time, and it is effective in such cities as Port Morseby, etc.
What time is it in Papua New Guinea Time now? It is 10:08:04 right now.
Papua New Guinea Time Date and Time Now in Various Formats
| Date Time Format | PGT Date Time Now |
|---|---|
| UTC | 2026-11-05T10:08:04Z |
| ISO-8601 | 2026-11-05T10:08:04+0000 |
| RFC 2822 | Thu, 05 Nov 2026 10:08:04 +0000 |
| RFC 850 | Thursday, 05-Nov-26 10:08:04 UTC |
| RFC 1036 | Thu, 05 Nov 26 10:08:04 +0000 |
| RFC 1123 | Thu, 05 Nov 2026 10:08:04 +0000 |
| RFC 822 | Thu, 05 Nov 26 10:08:04 +0000 |
| RFC 3339 | 2026-11-05T10:08:04+00:00 |
| ATOM | 2026-11-05T10:08:04+00:00 |
| COOKIE | Thursday, 05-Nov-2026 10:08:04 UTC |
| RSS | Thu, 05 Nov 2026 10:08:04 +0000 |
| W3C | 2026-11-05T10:08:04+00:00 |
| Unix Epoch | 1793873284 |
| YYYY-DD-MM HH:MM:SS | 2026-05-11 10:08:04 |
| YYYY-DD-MM HH:MM:SS am/pm | 2026-05-11 10:08:04 AM |
| DD-MM-YYYY HH:MM:SS | 05-11-2026 10:08:04 |
| MM-DD-YYYY HH:MM:SS | 11-05-2026 10:08:04 |